samedi 6 août 2011

Joomla 1.7


Joomla 1.7 est disponible. Vous pouvez télécharger la version française ainsi que les patchs de mise à jour sur le site www.joomla.fr

Si lors d'une création de site, il n'y a aucune contre-indication à installer Joomla 1.7 (la version est stable). Il faut néanmoins savoir que les extensions disponibles actuellement sont celles de la version 1.6 (ce qui ne pose aucun problème puisque les extensions de Joomla 1.6 sont compatibles avec Joomla 1.7). Ce qui pose problème, c'est la migration de Joomla 1.6.5 vers 1.7
A chaque fois que j'ai essayé le patch, j'ai planté le site. Heureusement que j'avais fait des sauvegardes (fichiers + base de données). Il faut savoir qu'il ne s'agit pas d'une mise à jour normale comme lorsqu'on passe de Joomla 1.6.x vers 1.6.x ou de Joomla 1.5.x vers Joomla 1.5;x


Le changement de lettres 1.6 vers 1.7 indique un changement dans la base de données de Joomla. On ne peut donc pas se contenter de copier des fichiers sur le serveur.


La solution que j'ai trouvée consiste d'abord à passer de Joomla 1.6.5 à 1.6.6 (procédure de mise à jour en copiant les fichiers sur le serveur). Puis à partir du backoffice (backend) installation du patch 1.6.6 vers 1.7
Il ne reste plus qu'à régler quelques petits détails comme la mise à jour du template : index.php

Remplacez les lignes :
<?php if ($this->getBuffer('message')) : ?>
<div class="error">
<h2>
<?php echo JText::_('JNOTICE'); ?>
</h2>
<jdoc:include type="message" />
</div>
<?php endif; ?> 

par
<jdoc:include type="message" /> 
afin d'éviter d'avoir un titre H2 intempestif au dessus du titre des articles.
Ce problème de message n'apparaît que lors d'une mise à jour et non lors d'une installation vierge.

La version 1.7 sera abandonnée en 2012 au profit de la version 1.8 mais il existera un patch de mise à jour  pour migrer vers Joomla 1.8
Attention, seuls ce qui sont sur Joomla 1.7 pourront migrer vers Joomla 1.8
Joomla 1.5 et Joomla 1.6 étant en fin de vie, le support ne sera plus assuré (sauf par des gens comme moi évidemment).

Grosso-modo, mon livre sur Joomla 1.6 est encore valable pour Joomla 1.7 mais je vais quand même écrire une version adaptée à cette nouvelle version. Je pense que mon livre sera disponible à la vente avant la fin du mois d'août.

Aucun commentaire:

Enregistrer un commentaire